# API Use Report Conversion Ant Task

## Purpose

This task converts the XML report created by the `apitooling.apiuse` ant task into HTML files.

## Usage

### Description

The name of the ant task is: `apitooling.apiuse_reportconversion`. To be used, the jar file `apitooling-ant.jar` has to be on the ant classpath.

    	<apitooling.apiuse_reportconversion
    		xmlfiles="..."
    		htmlfiles="..."
    		xsltfile="..."
    		debug="..."
    	/>

### Parameters

Attribute | Description | Required
xmlfiles | This attribute specifies the location of the xml files to convert. The location is specified using an absolute path. | Yes
htmlfiles | This attribute specifies the location of the html files to generate. The location is specified using an absolute path. | Yes
xsltfile | This attribute specifies the location of an XSLT file to be used to generate the reference details pages in a desired ordering. A default XSLT file is available in the `apitooling-ant.jar` JAR file. The location is specified using an absolute path. | No
debug | Set the debug value. The possible values are: `true`, `false` Default is `false`. | No

### Examples

    	<apitooling.apiuse_reportconversion
    		xmlfiles="/eclipse/apiuse-both/XML"
    		htmlfiles="/eclipse/apiuse-both/HTML"
    		xsltfile="/eclipse/references.xsl"
    		debug="true"
    	/>

This will run the task creating `*.html` files inside the folder `/eclipse/apiuse-both/HTML` corresponding to the folder structure of the XML file location

If debug is enabled, some debug tracing will show up in the ant console.

API Tools Analysis Ant Task
API Tools File Generation Ant Task
API Tools API Use Ant Task
API Tools Pluggable API Use Ant Task
API Tools API Freeze Ant Task
API Tools Analysis Report Conversion Ant Task